#!/usr/bin/env

/**
 * @file Build this project.
 */

var coz = require('coz'),
    path = require('path');


var basedir = path.resolve(__dirname, '..'),
    pkg = require('../package.json');

var buds = require('apeman-tmpl-contrib-official');

process.chdir(basedir);

coz.render([
    buds['gitignore']({
        ignore:[]
    }),
    buds['LICENSE']({
        year: new Date().getFullYear()
    }),
    buds['release.sh']({}),
    buds['task-contrib/README.md']({
        pkg: pkg,
        usage: 'docs/usage.js'
    })
], function (err) {
    if (err) {
        console.error(err);
    } else {
        console.log('Build done!');
    }
});